Bug 431593 - Vmware X driver fails to start in Fedora-9-Alpha-Live-KDE-x86_64
Vmware X driver fails to start in Fedora-9-Alpha-Live-KDE-x86_64
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: 431830 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-05 14:07 EST by Markku Kolkka
Modified: 2008-02-11 14:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-11 14:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X log file (5.30 KB, text/plain)
2008-02-05 14:07 EST, Markku Kolkka
no flags Details

  None (edit)
Description Markku Kolkka 2008-02-05 14:07:54 EST
Description of problem:
F9 Alpha KDE LiveDVD boots to text mode in VMware Server. X log file shows 
that vmware_drv.so fails to load because of an undefined symbol error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the LiveDVD in VMware Server
Actual results:
F9 starts in text mode

Expected results:
F9 starts the KDE4 desktop

Additional info:
VMware-server-1.0.4-56528 on a Fedora 8 x86_64 host
Comment 1 Markku Kolkka 2008-02-05 14:07:54 EST
Created attachment 294033 [details]
X log file
Comment 2 Mr. Mizzen 2008-02-06 02:05:09 EST
X also fails to start with Fedora-9-Alpha-i386-DVD.iso

VMWare Workstation 6.0.0 build-45731
Comment 3 Matěj Cepl 2008-02-07 13:18:31 EST
*** Bug 431830 has been marked as a duplicate of this bug. ***
Comment 4 Jason Farrell 2008-02-07 19:34:39 EST
yum updating xorg-x11-drv-vmware to 10.15.2-99.1.fc9 seems to have fixed this
problem for me.

also, as workaround (in case you don't have networking in the VM), you can
change the detected "vmware" driver to "vesa" in /etc/X11/xorg.conf, and
optionally set a specific Modes line.
Comment 5 Adam Jackson 2008-02-11 14:20:12 EST
Fixed in -99.1.fc9 as per comment #4.  Closing.

Note You need to log in before you can comment on or make changes to this bug.